      program stdtable
      logical debug
c
      open (unit=20,file='mar-table.xvg',form='formatted')
c
      debug = .false.
c
      write(6,*) 'input epsr, flambdac, flambdalj, 
     1            cutoff, spacing, range'
      read (5,*) epsr, flambdac, flambdalj, cutoff, spacing, range
      write (6,*) 'epsr = ', epsr, ' flambdac = ', flambdac, 
     1  ' flambdalj = ', flambdalj,
     1  ' cutoff = ', cutoff, 
     1  ' spacing = ', spacing, 
     1  ' range = ', range
c
      npoints = int(range/spacing) + 1
      zero = 0.0d00
      one = 1.0d00
      two = 2.0d00
      three = 3.0d00
      third = one/three
      four = 4.0d00
      fourth = one/four
      six = 6.0d00
      twelve = 12.0d00
c
      power1 = one
      power2 = six
      power3 = twelve
c
      fcscal = flambdac/epsr
c
      shiftcoul = 0.0
      rmodc = cutoff - shiftcoul
      rmodc2 = rmodc*rmodc
      rmodc3 = rmodc2*rmodc
      rmodc4 = rmodc2*rmodc2
      a1 = -((power1+four)*cutoff - (power1+one)*shiftcoul)/
     1     ((cutoff**(power1+two))*rmodc2)
      b1 = ((power1+three)*cutoff - (power1+one)*shiftcoul)/
     1     ((cutoff**(power1+two))*rmodc3)
      c1 = one/(cutoff**power1) - third*power1*a1*rmodc3 
     1     - fourth*power1*b1*rmodc4
      if (debug) then
         write (6,*) ' a1, b1, c1 = ', 
     1   a1, ' ' , b1, ' ' , c1
      endif
c
c
      shiftlj = 0.9
      rmodlj = cutoff - shiftlj
      rmodlj2 = rmodlj*rmodlj
      rmodlj3 = rmodlj2*rmodlj
      rmodlj4 = rmodlj2*rmodlj2
      a2 = -((power2+four)*cutoff - (power2+one)*shiftlj)/
     1     ((cutoff**(power2+two))*rmodlj2)
      b2 = ((power2+three)*cutoff - (power2+one)*shiftlj)/
     1     ((cutoff**(power2+two))*rmodlj3)
      c2 = one/(cutoff**power2) - third*power2*a2*rmodlj3 
     1     - fourth*power2*b2*rmodlj4
      a3 = -((power3+four)*cutoff - (power3+one)*shiftlj)/
     1     ((cutoff**(power3+two))*rmodlj2)
      b3 = ((power3+three)*cutoff - (power3+one)*shiftlj)/
     1     ((cutoff**(power3+two))*rmodlj3)
      c3 = one/(cutoff**power3) - third*power3*a3*rmodlj3 
     1     - fourth*power3*b3*rmodlj4
      if (debug) then
         write (6,*) ' a2, b2, c2 = ', 
     1   a2, ' ' , b2, ' ' , c2
         write (6,*) ' a3, b3, c3 = ', 
     1   a3, ' ' , b3, ' ' , c3
      endif
c
      if (debug) then
        write(6,*) ' rmodc = ', rmodc, ' rmodlj = ', rmodlj
      endif
c
      write (20,1001) zero, zero, zero, zero, zero, zero, zero
      do i = 2, npoints
        r = (i-1)*spacing
        if (r .gt. cutoff) then
          p1 = zero
          f1 = zero
          p2 = zero
          f2 = zero
          p3 = zero
          f3 = zero
        else 
          rc = r - shiftcoul
          rc2 = rc*rc
          rc3 = rc2*rc
          rc4 = rc2*rc2
c
          p1 = one/(r**power1) - third*power1*a1*rc3
     1         - fourth*power1*b1*rc4 - c1
          f1 = power1/(r**(power1+one)) + power1*(a1*rc2 + b1*rc3)
c
          if (debug) then
            write(6,*) ' r, rc, p1, f1 = ', r, ' ', rc, ' ', p1, ' ', f1
          endif
c
c
c --- second and third terms
c
          rlj = r - shiftlj
          rlj2 = rlj*rlj
          rlj3 = rlj2*rlj
          rlj4 = rlj2*rlj2
c
          if (r .gt. shiftlj) then
            p2 = -one/(r**power2) + third*power2*a2*rlj3
     1           + fourth*power2*b2*rlj4 + c2
            f2 = -power2/(r**(power2+one)) - power2*(a2*rlj2 + b2*rlj3)
            p3 = one/(r**power3) - third*power3*a3*rlj3
     1           - fourth*power3*b3*rlj4 - c3
            f3 = power3/(r**(power3+one)) + power3*(a3*rlj2 + b3*rlj3)
          else
            p2 = -one/(r**power2) + c2
            f2 = -power2/(r**(power2+one))
            p3 = one/(r**power3) - c3
            f3 = power3/(r**(power3+one))
          endif
          if (debug) then
            write(6,*) ' r, rlj, p2, f2 = ', r, ' ', rlj,
     1                 ' ', p2, ' ', f2
            write(6,*) ' r, rlj, p3, f3 = ', r, ' ', rlj,
     1                 ' ', p3, ' ', f3
          endif
        endif
        write (20,1001) r, fcscal*p1, fcscal*f1, 
     1  flambdalj*p2, 
     1  flambdalj*f2, 
     1  flambdalj*p3, 
     1  flambdalj*f3
 1001   format(7(e20.10,1x))
      enddo
c
      stop
      end
